      logical function is_upcase(d)
C
C Description:
C
C This function returns TRUE if the character 'd' is a uppercase letter.
C It returns FALSE otherwise.
C
C User interface:
C
C Name         in/out type          Structure  Meaning
C is_upcase    out    logical       scalar     TRUE if d is a uppercase letter 
C                                              FALSE otherwise
C d            in     character(1)  scalar     The character to be examined
C
C Errors:
C
C No errors should occur and none are reported.
C This routine assumes the ASCII character set.
C
      implicit none
      character*1 d
      is_upcase=((d .ge. 'A') .and. (d .le. 'Z'))
      return
      end
